> ## Name

> cgSetBoolAnnotation - set the value of a bool annotation

> ## Synopsis

>     #include <Cg/cg.h>

>     CGbool cgSetBoolAnnotation( CGannotation ann,
>                                 CGbool value );

> ## Parameters

> ann
>   The annotation that will be set.
> value
>   The value to which ann will be set.

> ## Return Values

> Returns CG_TRUE if it succeeds in setting the annotation.

> Returns CG_FALSE otherwise.

> ## Description

> cgSetBoolAnnotation sets the value of an annotation of bool type.

> ## Examples

> to-be-written

> ## Errors

> CG_INVALID_ANNOTATION_HANDLE_ERROR is generated if ann is not a valid annotation.

> CG_INVALID_PARAMETER_TYPE_ERROR is generated if ann is not an annotation of bool type.

> CG_ARRAY_SIZE_MISMATCH_ERROR is generated if ann is not a scalar.

> ## History

> cgSetBoolAnnotation was introduced in Cg 1.5.

> ## See Also

> cgGetBoolAnnotationValues, cgSetIntAnnotation, cgSetFloatAnnotation, cgSetStringAnnotation